# -*- encoding: utf-8 -*-
# stub: gstreamer 4.2.7 ruby lib
# stub: ext/gstreamer/extconf.rb

Gem::Specification.new do |s|
  s.name = "gstreamer".freeze
  s.version = "4.2.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "msys2_mingw_dependencies" => "gstreamer" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["The Ruby-GNOME Project Team".freeze]
  s.date = "2025-01-28"
  s.description = "Ruby/GStreamer is a Ruby binding for GStreamer.".freeze
  s.email = "ruby-gnome2-devel-en@lists.sourceforge.net".freeze
  s.extensions = ["ext/gstreamer/extconf.rb".freeze]
  s.files = ["ext/gstreamer/extconf.rb".freeze]
  s.homepage = "https://ruby-gnome.github.io/".freeze
  s.licenses = ["LGPL-2.1+".freeze]
  s.rubygems_version = "3.3.27".freeze
  s.summary = "Ruby/GStreamer is a Ruby binding for GStreamer.".freeze

  s.installed_by_version = "3.3.27" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gobject-introspection>.freeze, ["= 4.2.7"])
  else
    s.add_dependency(%q<gobject-introspection>.freeze, ["= 4.2.7"])
  end
end
